// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UAnimationGraph.h"
#include "AnimationGraph.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UAnimationGraph::SCW_UAnimationGraph(UAnimationGraph* InAnimationGraph) : SCW_UEdGraph(InAnimationGraph), AnimationGraph(InAnimationGraph)
{

}

UAnimationGraph* SCW_UAnimationGraph::ToUAnimationGraph() const
{
	return AnimationGraph;
}

ISCW_UAnimationGraphPtr SCW_UAnimationGraph::ToUAnimationGraphPtr()
{
	return GetSharedThisAs<SCW_UAnimationGraph>();
}

ISCW_UAnimationGraphConstPtr SCW_UAnimationGraph::ToUAnimationGraphPtr() const
{
	return GetSharedThisAs<SCW_UAnimationGraph>();
}